Subject: Re: bug#30800: 26.0.91; unknown crash on macos

From: Alan Third <[email-masked]>
Date: Wed, 21 Mar 2018 20:12:34 +0000

On Wed, Mar 21, 2018 at 09:36:18PM +0200, Eli Zaretskii wrote:
> > Date: Wed, 21 Mar 2018 19:19:03 +0000
> > From: Alan Third <[email-masked]>
> > Cc: Aaron Jensen <[email-masked]>, [email-masked]
> > 
> > The commit that introduced represented_frame was fixing some
> > flickering. What it seems to have done is move the updating of the
> > represented filename from being set synchronously to asynchronously.
> > The represented filename tells the WM which file is being edited so it
> > can show a matching icon in the titlebar and maybe some other stuff.
<snip>
> > (I can’t help thinking it should be possible to update several frames
> > in quick succession but only have the last actually updated since
> > represented_filename and represented_frame are simply over‐written.)
> 
> Yes, this machinery looks quite fragile to me.
> 
> Is there any reason not to use selected_frame instead?

I think we could end up in a similar situation if the selected frame
changed soon after ns_set_represented_filename was called (i.e. it
will set it for the wrong frame).

It might be best to try setting the represented filename synchronously
again and come up with some other way of avoiding the flicker.

(Original bug report was 18757 and the commit was
d9d383147219f8e6a90d4c177e1b454e19acfac9.)
-- 
Alan Third